Bug 1266629 - black videos on i915 Intel driver
black videos on i915 Intel driver
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gstreamer1-vaapi (Show other bugs)
22
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Simon Farnsworth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-25 18:02 EDT by Germano Massullo
Modified: 2016-07-19 15:19 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:19:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
GST_DEBUG=*:6 firefox logs (4.43 MB, application/x-xz)
2015-09-25 18:02 EDT, Germano Massullo
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 756135 None None None Never

  None (edit)
Description Germano Massullo 2015-09-25 18:02:40 EDT
Created attachment 1077283 [details]
GST_DEBUG=*:6 firefox logs

Description of problem:
gstreamer1-vaapi causes HTML5 videos not being played correctly:you get a black video and you can only listen to the sound.
I tried on Firefox and on Konqueror using both WebKit and KHTML engine.
To solve the problem I had to uninstall gstreamer1-vaapi package.

Version-Release number of selected component (if applicable):
gstreamer1-vaapi-0.5.10-2.fc22.x86_64


Additional info:
Attached logs of GST_DEBUG=*:6 firefox
Comment 1 Nicolas Chauvet (kwizart) 2015-09-30 17:35:56 EDT
which video adapter do you have ?
Can you attach the output of vainfo ?
Comment 2 Germano Massullo 2015-09-30 18:17:05 EDT
(Info for everybody): vainfo is provided by libva-utils
I will upload vainfo output as soon as possible
Comment 3 Germano Massullo 2015-10-03 09:16:36 EDT
# vainfo
libva info: VA-API version 0.37.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/i965_drv_video.so
libva info: va_openDriver() returns -1
vaInitialize failed with error code -1 (unknown libva error),exit

# lspci -k | grep -iA 3 vga
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
 Subsystem: Lenovo Device 21da
 Kernel driver in use: i915
 Kernel modules: i915
Comment 4 Ting-Wei Lan 2015-10-04 08:41:46 EDT
I see green screen in Firefox and black screen in Epiphany, but Totem and gst-launch-1.0 work fine.

Software versions:
gstreamer1-vaapi-0.6.1-1.fc22.x86_64
libdrm-2.4.65-1.fc22.x86_64
libva-1.6.1-1.fc22.x86_64
mesa-11.0.2-1.20151002.fc22.x86_64

$ vainfo
libva info: VA-API version 0.38.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/i965_drv_video.so
libva info: Found init function __vaDriverInit_0_38
libva info: va_openDriver() returns 0
vainfo: VA-API version: 0.38 (libva 1.6.1)
vainfo: Driver version: Intel i965 driver for Intel(R) Ironlake Desktop - 1.6.1
vainfo: Supported profile and entrypoints
      VAProfileMPEG2Simple            :	VAEntrypointVLD
      VAProfileMPEG2Main              :	VAEntrypointVLD
      VAProfileH264ConstrainedBaseline:	VAEntrypointVLD
      VAProfileH264Main               :	VAEntrypointVLD
      VAProfileH264High               :	VAEntrypointVLD
      VAProfileNone                   :	VAEntrypointVideoProc

$ lspci -k | grep -iA 3 vga
00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 12)
	Subsystem: ASUSTeK Computer Inc. Device 8383
	Kernel driver in use: i915
	Kernel modules: i915
Comment 5 Germano Massullo 2015-10-06 14:00:23 EDT
Other infos from another machine (Thinkpad L530)

# vainfo 
libva info: VA-API version 0.37.0
libva info: va_getDriverName() returns 0
libva info: Trying to open /usr/lib64/dri/i965_drv_video.so
libva info: va_openDriver() returns -1
vaInitialize failed with error code -1 (unknown libva error),exit


# lspci -k | grep -iA 3 vga
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
        Subsystem: Lenovo Device 21f6
        Kernel driver in use: i915
        Kernel modules: i915
Comment 6 Germano Massullo 2015-10-06 16:01:03 EDT
I am sorry, I meant T530, not L530
Comment 7 fulminemizzega 2015-11-22 12:46:52 EST
Can you also take a look at https://bugzilla.redhat.com/show_bug.cgi?id=1123536 ?
The last comments are about the same issue reported here.
Comment 8 Thomas Walker 2016-04-09 16:49:49 EDT
fwiw, I have exactly the same problem on fc23 now with a 1st generation Lenovo X1 Carbon and totem.  I used to have problems on previous Fedora versions on this hardware due to buggy DRI3 support that could be alleviated by forcing DRI2 but that ceased working at some point.
Now the problem appears to be due to wayland.  Disabling wayland (both gdm via /etc/gdm/custom.conf) and by selecting an X based session, fixes it.
Comment 9 Thomas Walker 2016-04-09 16:50:07 EDT
fwiw, I have exactly the same problem on fc23 now with a 1st generation Lenovo X1 Carbon and totem.  I used to have problems on previous Fedora versions on this hardware due to buggy DRI3 support that could be alleviated by forcing DRI2 but that ceased working at some point.
Now the problem appears to be due to wayland.  Disabling wayland (both gdm via /etc/gdm/custom.conf) and by selecting an X based session, fixes it.
Comment 10 Thomas Walker 2016-04-09 16:50:56 EDT
Sorry, not sure why that double posted...
Comment 11 Fedora End Of Life 2016-07-19 15:19:12 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.